Subject: Re: [PATCH] pptp: avoid releasing the sock too early

From: Sasha Levin <[email-masked]>
Date: Tue, 15 Sep 2015 13:39:10 -0400

On 09/14/2015 12:43 PM, Eric Dumazet wrote:
> Hmm, is the synchronize_rcu() in del_chan() still needed, and why it was
> not enough ?
> 
> I believe your patch might reduce the race window, but it is not clear
> it is the right fix.

You're right, I've missed the synchronize_rcu() originally. At this point
I'm certain that my patch is incorrect (so ignore it please), but I don't see
the cause of the bug either.

Let me think about it some more...

Thanks,
Sasha